edu.ucsb.nceas.metacat

## Class EventLogData

- java.lang.Object
- - edu.ucsb.nceas.metacat.EventLogData

-     public class EventLogData
      extends java.lang.Object

  A data structure holding the information to be logged about an event. TODO: add a timestamp field for when the event occurred.
  Author:
    jones

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `EventLogData(java.lang.String ipAddress, java.lang.String userAgent, java.lang.String principal, java.lang.String docid, java.lang.String event)` Construct an EventLogData object with event log information.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getDocid()` Get the current value of the document identifier.
    `java.lang.String` | `getEvent()` Get the current value of the event.
    `java.lang.String` | `getIpAddress()` Get the current value of the internet protocol address.
    `java.lang.String` | `getPrincipal()` Get the current value of the principal.
    `java.lang.String` | `getUserAgent()`
    `void` | `setDocid(java.lang.String docid)` Set the document identifier.
    `void` | `setEvent(java.lang.String event)` Set the current value of the event.
    `void` | `setIpAddress(java.lang.String ipAddress)` Set the current value of the internet protocol address.
    `void` | `setPrincipal(java.lang.String principal)` Set the current value of the principal.
    `void` | `setUserAgent(java.lang.String userAgent)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### EventLogData

          public EventLogData(java.lang.String ipAddress,
                              java.lang.String userAgent,
                              java.lang.String principal,
                              java.lang.String docid,
                              java.lang.String event)

      Construct an EventLogData object with event log information.
      Parameters:
        `ipAddress` - the internet protocol address for the event
        `principal` - the principal for the event (a username, etc)
        `docid` - the identifier of the document to which the event applies
        `revision` - the revision of the document to which the event applies
        `event` - the string code for the event

  - ### Method Detail

    - #### getDocid

          public java.lang.String getDocid()

      Get the current value of the document identifier.
      Returns:
        Returns the docid.

    - #### setDocid

          public void setDocid(java.lang.String docid)

      Set the document identifier.
      Parameters:
        `docid` - The docid to set.

    - #### getEvent

          public java.lang.String getEvent()

      Get the current value of the event.
      Returns:
        Returns the event.

    - #### setEvent

          public void setEvent(java.lang.String event)

      Set the current value of the event.
      Parameters:
        `event` - The event to set.

    - #### getIpAddress

          public java.lang.String getIpAddress()

      Get the current value of the internet protocol address.
      Returns:
        Returns the ipAddress.

    - #### setIpAddress

          public void setIpAddress(java.lang.String ipAddress)

      Set the current value of the internet protocol address.
      Parameters:
        `ipAddress` - The ipAddress to set.

    - #### getPrincipal

          public java.lang.String getPrincipal()

      Get the current value of the principal. This will be a username or other user identifier.
      Returns:
        Returns the principal.

    - #### setPrincipal

          public void setPrincipal(java.lang.String principal)

      Set the current value of the principal. This will be a username or other user identifier.
      Parameters:
        `principal` - The principal to set.

    - #### getUserAgent

          public java.lang.String getUserAgent()

    - #### setUserAgent

          public void setUserAgent(java.lang.String userAgent)

Copyright © 2020 Regents of the University of California. All Rights Reserved.